﻿:root {
    --color-picker-z-index: 999999;
    --success: #0E700E;
    --warning: #E9835E;
    --error: #BC2F32;
    --info: #616161;
    --body: #fff;
    --gntplanning-bg: #fff;
    --gntplanning-appbar-bg: #bd291c;
    --gntplanning-appbar-text: #fff;
    --gntplanning-drawer-bg: #fafafa;
    --gntplanning-drawer-bg-hover: #f7f6f6;
    --gntplanning-drawer-text: #505050;
    --gntplanning-border: #ddd;
    --gntplanning-title-color: #3f3f3f;
    --gntplanning-text-color: #606060;
}

.dark-toggle:checked ~ .AppBar,
.dark-toggle:checked ~ .Drawer,
.dark-toggle:checked ~ .Main,
.dark-toggle:checked ~ body {
    --body: #efefef;
    --gntplanning-bg: #1e1e1e;
    --gntplanning-appbar-bg: #2a2a2a;
    --gntplanning-appbar-text: #fff;
    --gntplanning-drawer-bg: #2b2b2b;
    --gntplanning-drawer-bg-hover: #bd291c96;
    --gntplanning-drawer-text: #e6e6e6;
    --gntplanning-border: #444;
}

.color-success {
    color: var(--success);
}

.color-warning {
    color: var(--warning);
}

.color-error {
    color: var(--error);
}

.color-info {
    color: var(--info);
}

html, body {
    height: 100%;
    padding: 0px;
    margin: 0px;
    overflow: hidden;
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}

* {
    box-sizing: border-box;
}

h1, h2, h3, h4 {
    color: var(--gntplanning-title-color);
}

    h1:focus {
        outline: none;
    }

p, li {
    color: var(--gntplanning-text-color);
}

.noselect {
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently supported by Chrome, Opera and Firefox */
}


h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

/*.loading-progress {
    position: absolute;
    display: block;
    width: 8rem;
    height: 8rem;
    inset: 20vh 0 auto 0;
    margin: 10vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }


*/

/* loading */
.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

.accordion {
    display: flex;
    height: 45px;
    padding-top: 10px;
    justify-content: center;
    margin: 35vh auto 1rem auto;
}

.panel {
    flex-shrink: 0;
}

    .panel:nth-child(1) {
        background: #7CB342;
        z-index: 1;
        transform-origin: right bottom;
        animation: fold-odd 1s cubic-bezier(0.6, 0, 0.4, 1) infinite alternate;
        opacity: min(1, var(--blazor-load-percentage, 0%) / 25);
    }

    .panel:nth-child(2) {
        background: #FDD835;
        z-index: 2;
        transform-origin: left bottom;
        animation: fold-yellow 1s cubic-bezier(0.6, 0, 0.4, 1) infinite alternate;
        opacity: min(1, max(0, (var(--blazor-load-percentage, 0%) - 25) / 25));
    }

    .panel:nth-child(3) {
        background: #1E88E5;
        z-index: 3;
        transform-origin: right bottom;
        animation: fold-blue 1s cubic-bezier(0.6, 0, 0.4, 1) infinite alternate;
        margin-left: -0.3px;
        opacity: min(1, max(0, (var(--blazor-load-percentage, 0%) - 50) / 25));
    }

    .panel:nth-child(4) {
        background: #EF5350;
        z-index: 4;
        transform-origin: left bottom;
        animation: fold-even 1s cubic-bezier(0.6, 0, 0.4, 1) infinite alternate;
        margin-left: -0.3px;
        opacity: min(1, max(0, (var(--blazor-load-percentage, 0%) - 75) / 25));
    }

@keyframes fold-odd {
    0%, 20% {
        width: 35px;
        transform: skewY(2deg);
    }

    100% {
        width: 15px;
        transform: skewY(15deg);
    }
}

@keyframes fold-even {
    0%, 20% {
        width: 35px;
        transform: skewY(-2deg);
    }

    100% {
        width: 15px;
        transform: skewY(-15deg);
    }
}

@keyframes fold-yellow {
    0%, 20% {
        width: 35px;
        transform: skewY(-2deg);
        background: #FDD835;
    }

    100% {
        width: 15px;
        transform: skewY(-15deg);
        background: #E9B72A;
    }
}

@keyframes fold-blue {
    0%, 20% {
        width: 35px;
        transform: skewY(2deg);
        background: #1E88E5;
    }

    100% {
        width: 15px;
        transform: skewY(15deg);
        background: #007CCD;
    }
}

.green {
    background: #7CB342;
}

.yellow {
    background: #FDD835;
}

.blue {
    background: #1E88E5;
}

.red {
    background: #EF5350;
}
